# PXMLParser Class Reference

`#include <pxml.h>`

Inheritance diagram for PXMLParser:

List of all members.

## Public Member Functions

| PXMLParser (int options=NoOptions)
| ~PXMLParser ()
bool | Parse (const char *data, int dataLen, bool final)
void | GetErrorInfo (PString &errorString, unsigned &errorCol, unsigned &errorLine)
virtual void | StartElement (const char *name, const char **attrs)
virtual void | EndElement (const char *name)
virtual void | AddCharacterData (const char *data, int len)
virtual void | XmlDecl (const char *version, const char *encoding, int standAlone)
virtual void | StartDocTypeDecl (const char *docTypeName, const char *sysid, const char *pubid, int hasInternalSubSet)
virtual void | EndDocTypeDecl ()
virtual void | StartNamespaceDeclHandler (const char *prefix, const char *uri)
virtual void | EndNamespaceDeclHandler (const char *prefix)
PString | GetVersion () const
PString | GetEncoding () const
StandAloneType | GetStandAlone () const
PXMLElement * | GetXMLTree () const
PXMLElement * | SetXMLTree (PXMLElement *newRoot)

## Protected Attributes

void * | expat
PXMLElement * | rootElement
bool | rootOpen
PXMLElement * | currentElement
PXMLData * | lastElement
PString | version
PString | encoding
StandAloneType | m_standAlone
PStringToString | m_tempNamespaceList

## Constructor & Destructor Documentation

PXMLParser::PXMLParser | ( | int | options = `NoOptions` | ) |

PXMLParser::~PXMLParser | ( |  | ) |

## Member Function Documentation

virtual void PXMLParser::AddCharacterData | ( | const char * | data,
|  | int | len |
| ) |  |  | `[virtual]`

virtual void PXMLParser::EndDocTypeDecl | ( |  | ) | `[virtual]`

virtual void PXMLParser::EndElement | ( | const char * | name | ) | `[virtual]`

Reimplemented in PXMLStreamParser.

virtual void PXMLParser::EndNamespaceDeclHandler | ( | const char * | prefix | ) | `[virtual]`

PString PXMLParser::GetEncoding | ( |  | ) | const`[inline]`

void PXMLParser::GetErrorInfo | ( | PString & | errorString,
|  | unsigned & | errorCol,
|  | unsigned & | errorLine |
| ) |  |  |

StandAloneType PXMLParser::GetStandAlone | ( |  | ) | const`[inline]`

PString PXMLParser::GetVersion | ( |  | ) | const`[inline]`

PXMLElement* PXMLParser::GetXMLTree | ( |  | ) | const

bool PXMLParser::Parse | ( | const char * | data,
|  | int | dataLen,
|  | bool | final |
| ) |  |  |

PXMLElement* PXMLParser::SetXMLTree | ( | PXMLElement * | newRoot | ) |

virtual void PXMLParser::StartDocTypeDecl | ( | const char * | docTypeName,
|  | const char * | sysid,
|  | const char * | pubid,
|  | int | hasInternalSubSet |
| ) |  |  | `[virtual]`

virtual void PXMLParser::StartElement | ( | const char * | name,
|  | const char ** | attrs |
| ) |  |  | `[virtual]`

virtual void PXMLParser::StartNamespaceDeclHandler | ( | const char * | prefix,
|  | const char * | uri |
| ) |  |  | `[virtual]`

virtual void PXMLParser::XmlDecl | ( | const char * | version,
|  | const char * | encoding,
|  | int | standAlone |
| ) |  |  | `[virtual]`

## Member Data Documentation

PXMLElement* PXMLParser::currentElement `[protected]`

PString PXMLParser::encoding `[protected]`

void* PXMLParser::expat `[protected]`

PXMLData* PXMLParser::lastElement `[protected]`

StandAloneType PXMLParser::m_standAlone `[protected]`

PStringToString PXMLParser::m_tempNamespaceList `[protected]`

PXMLElement* PXMLParser::rootElement `[protected]`

bool PXMLParser::rootOpen `[protected]`

PString PXMLParser::version `[protected]`

The documentation for this class was generated from the following file:

- pxml.h